ChangeSet 1.1143.1.10, 2003/03/20 14:03:23-08:00, jmcmullan@linuxcare.com

[PATCH] USB HID: Ignore P5 Data Glove (2.4 and 2.5 patches)

  As requested, here are the 2.4 (latest BK tree) and 2.5 (latest bk
  tree) patches to ignore the non-HID Essential Reality Data Glove

  (again, user-space lib to access this device via /proc/bus/usb
   is available at http://www.evillabs.net/~jmcc/p5)


 drivers/usb/input/hid-core.c |    4 ++++
 1 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/input/hid-core.c b/drivers/usb/input/hid-core.c
--- a/drivers/usb/input/hid-core.c	Thu Mar 20 15:03:10 2003
+++ b/drivers/usb/input/hid-core.c	Thu Mar 20 15:03:10 2003
@@ -1334,6 +1334,9 @@
 #define USB_VENDOR_ID_TANGTOP          0x0d3d
 #define USB_DEVICE_ID_TANGTOP_USBPS2   0x0001
 
+#define USB_VENDOR_ID_ESSENTIAL_REALITY	0x0d7f
+#define USB_DEVICE_ID_ESSENTIAL_REALITY_P5	0x0100
+
 struct hid_blacklist {
 	__u16 idVendor;
 	__u16 idProduct;
@@ -1377,6 +1380,7 @@
 	{ USB_VENDOR_ID_ONTRAK, USB_DEVICE_ID_ONTRAK_ADU100 + 400, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_ONTRAK, USB_DEVICE_ID_ONTRAK_ADU100 + 500, HID_QUIRK_IGNORE },
 	{ USB_VENDOR_ID_TANGTOP, USB_DEVICE_ID_TANGTOP_USBPS2, HID_QUIRK_NOGET },
+	{ USB_VENDOR_ID_ESSENTIAL_REALITY, USB_DEVICE_ID_ESSENTIAL_REALITY_P5, HID_QUIRK_IGNORE },
 	{ 0, 0 }
 };
 
